- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Argument Class Reference

Base class for argument class templates. More...

`#include <Argument.h>`

Inheritance diagram for TAO::Argument:

[legend]
List of all members.

## Public Member Functions
virtual | ~Argument (void)
| Destructor.
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Marshal the argument into the given CDR output stream.
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
| Demarshal the argument from the given CDR input stream.
Portable Interceptor Related Methods
These methods are only used when setting up `PortableInterceptor::RequestInfo` instances with the appropriate operation-specific parameter list and return value, if either or both exist.
virtual void | interceptor_value (CORBA::Any *) const
| Populate the given CORBA::Any result argument.
virtual CORBA::ParameterMode | mode (void) const =0
| Get the parameter mode of this argument.

## Detailed Description

Base class for argument class templates.

`Argument` subclasses override the virtual methods appropriately. For example, a stub "IN" argument class template would override the `marshal()` method, but wouldn't need to override the `demarshal()` method.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::Argument::~Argument | ( | void |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CORBA::Boolean TAO::Argument::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

Demarshal the argument from the given CDR input stream.

Note:
  The default implementation simply returns `true`.

Reimplemented in TAO::Inout_Basic_Argument_T< S, Insert_Policy >, TAO::Out_Basic_Argument_T< S, Insert_Policy >, TAO::Ret_Basic_Argument_T< S, Insert_Policy >, TAO::Inout_BD_String_Argument_T< S, to_S, from_S, BOUND, Insert_Policy >, TAO::Out_BD_String_Argument_T< S, S_out, to_S, from_S, BOUND, Insert_Policy >, TAO::Ret_BD_String_Argument_T< S, S_var, to_S, from_S, BOUND, Insert_Policy >, TAO::Inout_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >, TAO::Out_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >, TAO::Ret_Fixed_Array_Argument_T< S, S_slice, S_var, S_forany, S_tag, Insert_Policy >, TAO::Inout_Fixed_Size_Argument_T< S, Insert_Policy >, TAO::Out_Fixed_Size_Argument_T< S, Insert_Policy >, TAO::Ret_Fixed_Size_Argument_T< S, Insert_Policy >, TAO::Inout_Object_Argument_T< S_ptr, S_traits, Insert_Policy >, TAO::Out_Object_Argument_T< S_ptr, S_out, Insert_Policy >, TAO::Ret_Object_Argument_T< S_ptr, S_var, Insert_Policy >, TAO::Inout_Special_Basic_Argument_T< S, to_S, from_S, Insert_Policy >, TAO::Out_Special_Basic_Argument_T< S, to_S, from_S, Insert_Policy >, TAO::Ret_Special_Basic_Argument_T< S, to_S, from_S, Insert_Policy >, TAO::Inout_UB_String_Argument_T< S, Insert_Policy >, TAO::Out_UB_String_Argument_T< S, S_out, Insert_Policy >, TAO::Ret_UB_String_Argument_T< S, S_var, Insert_Policy >, TAO::Inout_Var_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >, TAO::Out_Var_Array_Argument_T< S, S_slice, S_var, S_out, S_forany, S_tag, Insert_Policy >, TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany, S_tag, Insert_Policy >, TAO::Inout_Var_Size_Argument_T< S, Insert_Policy >, TAO::Out_Var_Size_Argument_T< S, S_out, Insert_Policy >, and TAO::Ret_Var_Size_Argument_T< S, S_var, Insert_Policy >.

void TAO::Argument::interceptor_value | ( | CORBA::Any * |  | ) | const`[virtual]`

Populate the given CORBA::Any result argument.

Note:
  The default implementation is a no-op.

Reimplemented in TAO::In_Basic_Argument_T< S, Insert_Policy >, TAO::Inout_Basic_Argument_T< S, Insert_Policy >, TAO::Out_Basic_Argument_T< S, Insert_Policy >, TAO::Ret_Basic_Argument_T< S, Insert_Policy >, TAO::In_BD_String_Argument_T< S, to_S, from_S, BOUND, Insert_Policy >, TAO::Inout_BD_String_Argument_T< S, to_S, from_S, BOUND, Insert_Policy >, TAO::Out_BD_String_Argument_T< S, S_out, to_S, from_S, BOUND, Insert_Policy >, TAO::Ret_BD_String_Argument_T< S, S_var, to_S, from_S, BOUND, Insert_Policy >, TAO::In_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >, TAO::Inout_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >, TAO::Out_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >, TAO::Ret_Fixed_Array_Argument_T< S, S_slice, S_var, S_forany, S_tag, Insert_Policy >, TAO::In_Fixed_Size_Argument_T< S, Insert_Policy >, TAO::Inout_Fixed_Size_Argument_T< S, Insert_Policy >, TAO::Out_Fixed_Size_Argument_T< S, Insert_Policy >, TAO::Ret_Fixed_Size_Argument_T< S, Insert_Policy >, TAO::In_Object_Argument_T< S_ptr, Insert_Policy >, TAO::Inout_Object_Argument_T< S_ptr, S_traits, Insert_Policy >, TAO::Out_Object_Argument_T< S_ptr, S_out, Insert_Policy >, TAO::Ret_Object_Argument_T< S_ptr, S_var, Insert_Policy >, TAO::In_Special_Basic_Argument_T< S, to_S, from_S, Insert_Policy >, TAO::Inout_Special_Basic_Argument_T< S, to_S, from_S, Insert_Policy >, TAO::Out_Special_Basic_Argument_T< S, to_S, from_S, Insert_Policy >, TAO::Ret_Special_Basic_Argument_T< S, to_S, from_S, Insert_Policy >, TAO::In_UB_String_Argument_T< S, Insert_Policy >, TAO::Inout_UB_String_Argument_T< S, Insert_Policy >, TAO::Out_UB_String_Argument_T< S, S_out, Insert_Policy >, TAO::Ret_UB_String_Argument_T< S, S_var, Insert_Policy >, TAO::In_Var_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >, TAO::Inout_Var_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >, TAO::Out_Var_Array_Argument_T< S, S_slice, S_var, S_out, S_forany, S_tag, Insert_Policy >, TAO::Ret_Var_Array_Argument_T< S, S_slice, S_var, S_forany, S_tag, Insert_Policy >, TAO::In_Var_Size_Argument_T< S, Insert_Policy >, TAO::Inout_Var_Size_Argument_T< S, Insert_Policy >, TAO::Out_Var_Size_Argument_T< S, S_out, Insert_Policy >, and TAO::Ret_Var_Size_Argument_T< S, S_var, Insert_Policy >.

CORBA::Boolean TAO::Argument::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

Marshal the argument into the given CDR output stream.

Note:
  The default implementation simply returns `true`.

Reimplemented in TAO::In_Basic_Argument_T< S, Insert_Policy >, TAO::Inout_Basic_Argument_T< S, Insert_Policy >, TAO::In_BD_String_Argument_T< S, to_S, from_S, BOUND, Insert_Policy >, TAO::Inout_BD_String_Argument_T< S, to_S, from_S, BOUND, Insert_Policy >, TAO::In_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >, TAO::Inout_Fixed_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >, TAO::In_Fixed_Size_Argument_T< S, Insert_Policy >, TAO::Inout_Fixed_Size_Argument_T< S, Insert_Policy >, TAO::In_Object_Argument_T< S_ptr, Insert_Policy >, TAO::Inout_Object_Argument_T< S_ptr, S_traits, Insert_Policy >, TAO::In_Special_Basic_Argument_T< S, to_S, from_S, Insert_Policy >, TAO::Inout_Special_Basic_Argument_T< S, to_S, from_S, Insert_Policy >, TAO::In_UB_String_Argument_T< S, Insert_Policy >, TAO::Inout_UB_String_Argument_T< S, Insert_Policy >, TAO::In_Var_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >, TAO::Inout_Var_Array_Argument_T< S, S_slice, S_forany, Insert_Policy >, TAO::In_Var_Size_Argument_T< S, Insert_Policy >, TAO::Inout_Var_Size_Argument_T< S, Insert_Policy >, and TAO::In_Object_Argument_T< S_ptr, Insert_Policy >.

virtual CORBA::ParameterMode TAO::Argument::mode | ( | void |  | ) | const`[pure virtual]`

Get the parameter mode of this argument.

Implemented in TAO::InArgument, TAO::InoutArgument, TAO::OutArgument, and TAO::RetArgument.

The documentation for this class was generated from the following files:

- Argument.h
- Argument.cpp